Page MenuHomePhabricator

Force a line break in a table cell
Closed, WontfixPublic

Tokens
"Like" token, awarded by yingshu."Like" token, awarded by dwilches."Party Time" token, awarded by spawnlt."Like" token, awarded by benwick."Like" token, awarded by stevex."Like" token, awarded by rftfaria."Like" token, awarded by mcorteel."Like" token, awarded by ftdysa."Like" token, awarded by hwj727."Like" token, awarded by Pandzinho."Like" token, awarded by babic.boris."Like" token, awarded by remusvrm."Like" token, awarded by mim."Like" token, awarded by andy.xu."Like" token, awarded by mikewileczka."Like" token, awarded by Krinkle."Like" token, awarded by SvHu."Like" token, awarded by logangorence."Like" token, awarded by daniel.veleba."Like" token, awarded by Andrzej.Pasterczyk."Like" token, awarded by trevorsummerssmith."Like" token, awarded by pilsetnieks."Like" token, awarded by ofirz."Like" token, awarded by fernofry."Like" token, awarded by waf."Like" token, awarded by aikinai."Like" token, awarded by tuqc."Like" token, awarded by nzelinsk."Like" token, awarded by vgoetz."Like" token, awarded by atlight.
Assigned To
Authored By
cactus620, Jun 20 2014

Description

When I'm writing a wiki page in Phriction, sometimes I have lots of content inside a table cell so that I'd like to force the content to be organized in multiple lines, but it seems impossible. It only breaks the line when the content get longer then the table width. I wish that I could break the line using <br />, or any other proper notation, inside a table cell.

Event Timeline

cactus620 updated the task description. (Show Details)Jun 20 2014, 8:26 AM
cactus620 added a project: Phabricator.
cactus620 added a project: Wikimedia.
cactus620 added a subscriber: cactus620.
cactus620 created this task.
cactus620 raised the priority of this task from to Wishlist.
cactus620 edited projects, added Phriction; removed Wikimedia.Jun 20 2014, 8:31 AM
joshuaspence edited projects, added Remarkup; removed Phabricator.Jun 28 2014, 10:47 PM
joshuaspence updated the task description. (Show Details)Jul 27 2014, 4:40 AM
joshuaspence updated the task description. (Show Details)
joshuaspence renamed this task from Force a line break in a table cell using the markup language to Force a line break in a table cell.
vgoetz awarded a token.Feb 4 2015, 8:43 PM
vgoetz added a subscriber: vgoetz.
nzelinsk added a subscriber: nzelinsk.

This seems like a small issue, but since there's absolutely no workaround and it's impossible to post any documentation that makes use of non-trivial tables, I think this is a pretty big deal.

eadler added a subscriber: eadler.Jun 17 2015, 11:00 PM
waf awarded a token.Sep 5 2015, 8:05 AM
fernofry added a subscriber: fernofry.
ofirz added a subscriber: ofirz.
daniel.veleba added a subscriber: daniel.veleba.
logangorence added a subscriber: logangorence.
SvHu awarded a token.Jun 15 2016, 1:17 PM
SvHu added a subscriber: SvHu.
Krinkle added a subscriber: Krinkle.
vgoetz removed a subscriber: vgoetz.Jul 30 2016, 11:24 AM
em added a subscriber: em.Sep 10 2016, 2:30 PM
mim awarded a token.Sep 29 2016, 1:26 PM
mim added a subscriber: mim.
remusvrm added a subscriber: remusvrm.
Pandzinho added a subscriber: Pandzinho.
chad moved this task from Backlog to Parser on the Remarkup board.Mar 27 2017, 3:59 PM
chad moved this task from Parser to Tables on the Remarkup board.
spawnlt added a subscriber: spawnlt.
epriestley closed this task as Wontfix.Apr 4 2018, 2:02 PM
epriestley claimed this task.

I don't currently plan to support this.

dwilches added a subscriber: dwilches.

Is there a workaround for including a newline in a table's cells? I've tried with both pipe and HTML syntax, and with %%%, triple back-tick and <br> with no success.

dwilches added a comment.EditedJun 29 2018, 11:32 PM

@mydeveloperday Thanks! That'll work

yingshu added a subscriber: yingshu.

It's disappointing that this isn't supported.